Name: nessus
Version: 1.0.4
Release: 1
Summary: Nessus security scanner
Group: Networking/Daemons
URL: http://www.nessus.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Copyright: GPL
Prefix: /usr
Packager: Klaus Knopper <knopper@linuxtag.de>, Renaud Deraison <deraison@cvs.nessus.org>, Gomez Henri <gomez@slib.fr>, Ronan-Yann Lorin <ronan-yann.lorin@libertysurf.fr>
Source1: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/nessus-libraries-%{version}.tar.bz2
Source2: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/libnasl-%{version}.tar.bz2
Source3: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/nessus-core-%{version}.tar.bz2
Source4: ftp://ftp.nessus.org/pub/nessus/nessus-%{version}/nessus-plugins-%{version}.tar.bz2
Source5: nessusd.init
Source6: nessusd.users
Source7: nessusd.rules
Source8: nessusd.conf
Source9: faq.html
Source10: plugins_api.txt
# Source11: nasl_guide.ps.gz
# Source12: news.html
# Source13: plugins_api.txt
# Source14: an_httpd_cgis.nasl
# Source15: hotsync.nasl
# Source16: rfpoison.nasl
# Patch: nessus-%{version}.patch

Requires: gmp >= 2.0.2
Requires: zlib >= 1.1.3

%description
Nessus is a free, up-to-date, and full featured remote security scanner for
Linux. It is multithreaded, plugin-based, has a nice GTK interface, and
currently performs 410 remote security checks. It has powerful reporting
capabilities (HTML, LaTeX, ASCII text) and not only points out problems,
but suggests a solution for each of them.

%package devel
Group: Development/Libraries
Summary: Developement librairies and headers for Nessus.
%description devel
Developement libraries and headers for Nessus.


%package client
Group: System Environment/Base
Summary: Nessus Gtk+ client.
%description client
Nessus Gtk+ client.


%package plugins
Group: Networking/Daemons
Summary: Nessus plugins.
Requires: %{name}
%description plugins
Nessus plugins.


%prep
#%setup -q
%setup -c -T
%setup -T -D -a 1
%setup -T -D -a 2
%setup -T -D -a 3
%setup -T -D -a 4
# %patch
perl -pi -e 's/^installuser=.*/installuser='`whoami`'/' nessus-core/nessus.tmpl.in
cp %{SOURCE9} %{SOURCE10} .

%build
(echo "$RPM_BUILD_ROOT" | grep "%{_tmppath}" >/dev/null) && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,lib/nessus/reports}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{nessus,rc.d/init.d}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log/nessus

# Build and install nessus libraries
(cd nessus-libraries; \
 CFLAGS="$RPM_OPT_FLAGS" ac_cv_prog_cc_g=no ac_cv_prog_cxx_g=no \
 ./configure --prefix=%{prefix}; \
 perl -pi -e 's/-o root / /g; s/-o \$\(installuser\) / /g; y/{}/()/' Makefile; \
 make && make install prefix=$RPM_BUILD_ROOT%{prefix})
perl -pi -e 's|^PREFIX=.*|PREFIX='$RPM_BUILD_ROOT%{prefix}'|' $RPM_BUILD_ROOT%{prefix}/bin/nessus-config

# Build and install nasl
(cd libnasl; \
 PATH="$RPM_BUILD_ROOT%{prefix}/bin:$PATH" \
 CFLAGS="$RPM_OPT_FLAGS" \
 LD_LIBRARY_PATH="$RPM_BUILD_ROOT%{prefix}/lib:$LD_LIBRARY_PATH" \
 ac_cv_prog_cc_g=no ac_cv_prog_cxx_g=no ./configure --prefix=%{prefix}; \
 perl -pi -e 's/-o root / /g; s/-o \$\(installuser\) / /g; y/{}/()/' Makefile; \
 make && make install prefix=$RPM_BUILD_ROOT%{prefix})
perl -pi -e 's|^PREFIX=.*|PREFIX='$RPM_BUILD_ROOT%{prefix}'|' $RPM_BUILD_ROOT%{prefix}/bin/nasl-config

# Build and install nessus-core
(cd nessus-core; \
 perl -pi -e 's|^NESSUSD_CONFDIR=.*|NESSUSD_CONFDIR=%{_sysconfdir}/|;
              s|^NESSUSD_STATEDIR=.*|NESSUSD_STATEDIR=%{_localstatedir}/log/nessus|;
              s|^NESSUSD_DATADIR=.*|NESSUSD_DATADIR=%{_sysconfdir}/nessus|;' ./configure;\
 PATH="$RPM_BUILD_ROOT%{prefix}/bin:$PATH" \
 CFLAGS="$RPM_OPT_FLAGS" \
 LD_LIBRARY_PATH="$RPM_BUILD_ROOT%{prefix}/lib:$LD_LIBRARY_PATH" \
 ac_cv_prog_cc_g=no ac_cv_prog_cxx_g=no \
 ./configure --prefix=%{prefix} \
 --localstatedir=%{_localstatedir}/log --datadir=%{_sysconfdir} \
 --enable-release --enable-pthreads --enable-cipher \
 --includedir=$RPM_BUILD_ROOT%{_includedir}; \
 perl -pi -e 's/-o root / /g; s/-o \$\(installuser\) / /g; y/{}/()/' Makefile; \
 make && make install prefix=$RPM_BUILD_ROOT%{prefix} \
 sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} localstatedir=$RPM_BUILD_ROOT%{_localstatedir}/log \
 datadir=$RPM_BUILD_ROOT%{_sysconfdir} \
 NESSUSD_CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/ \
 NESSUSD_STATEDIR=$RPM_BUILD_ROOT%{_localstatedir}/log/nessus \
 NESSUSD_DATADIR=$RPM_BUILD_ROOT%{_sysconfdir}/nessus)

# Build and install nessus-plugins
(cd nessus-plugins; \
 PATH="$RPM_BUILD_ROOT%{prefix}/bin:$PATH" \
 CFLAGS="$RPM_OPT_FLAGS" \
 LD_LIBRARY_PATH="$RPM_BUILD_ROOT/%{prefix}/lib:$LD_LIBRARY_PATH" \
 ac_cv_prog_cc_g=no ac_cv_prog_cxx_g=no \
 ./configure --prefix=%{prefix}; \
 perl -pi -e 's/-o root / /g; s/-o \$\(installuser\) / /g; y/{}/()/' Makefile; \
 make && make install prefix=$RPM_BUILD_ROOT%{prefix} \
 sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} libdir=$RPM_BUILD_ROOT%{prefix}/lib \
 localstatedir=$RPM_BUILD_ROOT%{_localstatedir}/log datadir=$RPM_BUILD_ROOT%{_sysconfdir})

%install
# Main Install already done in build
# for dir in nessus-libraries libnasl nessus-core nessus-plugins; do
# (cd $dir; make install prefix=$RPM_BUILD_ROOT/%{prefix} \
#  sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir}/nessus localstatedir=$RPM_BUILD_ROOT%{_localstatedir} \
#  datadir=$RPM_BUILD_ROOT%{_sysconfdir})
# done
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/nessusd
install %{SOURCE6} %{SOURCE7} %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/nessus/
#install %{SOURCE14} $RPM_BUILD_ROOT%{prefix}/lib/nessus/plugins/
#install %{SOURCE15} $RPM_BUILD_ROOT%{prefix}/lib/nessus/plugins/
#install %{SOURCE16} $RPM_BUILD_ROOT%{prefix}/lib/nessus/plugins/

# clean-up man files
for i in %{prefix}/man/man8/nessusd.8; do
        perl -pi -e 's|'$RPM_BUILD_ROOT/etc/nessusd.conf'|%{_sysconfdir}/nessus/nessusd.conf|g' $RPM_BUILD_ROOT/$i
done
 
# Correct paths in devel stuff
perl -pi -e 's|^PREFIX=.*|PREFIX='%{prefix}'|' \
 $RPM_BUILD_ROOT%{prefix}/bin/*-config \

if echo "%{release}" | grep -q "mdk"; then
if [ -d $RPM_BUILD_ROOT%{prefix}/man ]; then
  find $RPM_BUILD_ROOT%{prefix}/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT%{prefix}/info ]; then
  find $RPM_BUILD_ROOT%{prefix}/info -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT%{prefix}/X11R6/man ]; then
  find $RPM_BUILD_ROOT%{prefix}/X11R6/man -type f -exec bzip2 -9f {} \;
fi
if [ -d $RPM_BUILD_ROOT%{prefix}/lib/perl5/man ]; then
  find $RPM_BUILD_ROOT%{prefix}/lib/perl5/man -type f -exec bzip2 -9f {} \;
fi
fi

%clean
(echo "$RPM_BUILD_ROOT" | grep -q "/tmp/") && rm -rf "$RPM_BUILD_ROOT"

%post
#set -x
perl -pi -e 's|\@RPM_INSTALL_PREFIX\@|'${RPM_INSTALL_PREFIX}'|' \
 /etc/rc.d/init.d/nessusd %{_sysconfdir}/nessus/nessusd.conf

if [ $1 = 1 ]; then
	chkconfig --add nessusd
	%{_sysconfdir}/rc.d/init.d/nessusd start
else
	%{_sysconfdir}/rc.d/init.d/nessusd restart
fi
#set +x


%preun
#set -x
if [ $1 = 0 ]; then
	%{_sysconfdir}/rc.d/init.d/nessusd stop
	chkconfig --del nessusd
fi
#set +x


%files
%defattr(0644,root,root,0755)
%doc faq.html
%attr(0755,root,root) %{prefix}/lib/*.so*
%attr(0755,root,root) %{prefix}/sbin/*
%dir %{_sysconfdir}/nessus
%attr(0600,root,root) %config %{_sysconfdir}/nessus/accounts.txt
%attr(0600,root,root) %config %{_sysconfdir}/nessus/nessusd.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/nessus/nessusd.rules
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/nessus/nessusd.users
%attr(0600,root,root) %config %{_sysconfdir}/nessus/queso.conf
%dir %{_localstatedir}/log/nessus
%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/nessusd
%{prefix}/man/man8/*

%files devel
%defattr(0644,root,root,755)
%doc plugins_api.txt
%{_includedir}/*
%{prefix}/lib/*.*a
%attr(0755,root,root) %{prefix}/bin/nessus-config
%attr(0755,root,root) %{prefix}/bin/nasl-config

%files client
%defattr(0644,root,root,755)
%doc faq.html
%attr(0755,root,root) %{prefix}/bin/nessus
%attr(0755,root,root) %{prefix}/lib/libnessus.so*
%{prefix}/man/man1/*
%dir %{prefix}/lib/nessus/reports

%files plugins
%defattr(0644,root,root,0755)
%{prefix}/lib/nessus/plugins/*

%changelog
* Thu Aug 10 2000 Peter Hanecak <hanecak@megaloman.sk>
- %%{_sysconfdir}, %%{_includedir} and %%{_localstatedir} used

* Wed Aug 1 2000 Renaud Deraison <deraison@nessus.org>

- nessus 1.0.4

* Fri Jul 21 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.0.3

* Fri Jul 7 2000 Renaud Deraison <deraison@nessus.org>

- nessus 1.0.2 - 2

* Thu Jul  6 2000 Peter Hanecak <hanecak@megaloman.sk>
- %%{_tmppath} used

* Wed Jul 5 2000 Renaud Deraison <deraison@nessus.org>
- nessus 1.0.2

* Mon Jun 26 2000 Henri Gomez <hgomez@slib.fr>
- nessus 1.0.1

* Fri Apr 21 2000 Klaus Knopper <knopper@linuxtag.de>
- User-buildable RPM for 1.0.0pre2

* Sun Apr 16 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 1.0.0pre2

* Mon Apr 10 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 1.0.0pre1

* Thu Mar 30 2000 Renaud Deraison <deraison@cvs.nessus.org>
- fixed sysconfdir weirdnesses
- nessus 0.99.10

* Wed Mar 22 2000 Renaud Deraison <deraison@cvs.nessus.org>
- no patch to nessus-plugins
- nessus 0.99.9

* Mon Mar 20 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 0.99.8.1

* Sun Mar 19 2000 Renaud Deraison <deraison@cvs.nessus.org>
- gmp not needed
- removed the nasl_guide* files
- nessus 0.99.8

* Mon Feb 28 2000 Renaud Deraison <deraison@cvs.nessus.org>
- patch to nessus-core

* Sun Feb 27 2000 Renaud Deraison <deraison@cvs.nessus.org>
- nessus 0.99.6

* Fri Feb 18 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5-1 R2
- patch nessus-libraries

* Thu Feb 17 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5-1
- multiples corrections of 0.99.5

* Tue Feb 15 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.5
- /etc/nessusd/nessusd.conf change from 0.99.4 to 0.99.5

* Fri Jan 14 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.4
- the nessusd.rules (in /etc/nessus) is in accept by default now.

* Wed Jan  4 2000 Henri Gomez <gomez@slib.fr>
- nessus 0.99.3
 
* Tue Dec 28 1999 Henri Gomez <gomez@slib.fr>
- nessus 0.99.2
- rework of RPM, reuse of crypto channels
- update faq/nasl files to latest versions from nessus.org
- nessus server init script (/etc/rc.d/init.d) renamed to nessusd
- prompt at install for creating initial account
  
* Wed Nov 3 1999 Henri Gomez <gomez@slib.fr>
- nessus 0.9.4
- added post 0.9.4 scripts (an_httpd_cgis, hotsync, rfpoison)
- changed nessusd.rules and nessusd.users to reflect format changes 

* Wed Oct 6 1999 Gomez Henri <gomez@slib.fr>
- nessus 0.9.3
- added mediahouse_statistics_server.nasl

* Wed Sep 22 1999 Ronan-Yan Lorin <ronan-yann.lorin@libertysurf.fr>
- nessus 0.9.2
- initial release
